マイグレーションでカラムのchangeメソッドを実行した際に次のようなエラーが表示されました。
Changing columns for table “users” requires Doctrine DBAL. Please install the doctrine/dbal package.

解決方法

Doctrine DBALライブラリがないとカラムの定義を変更するchangeは実行できないということですので、素直にcomposer require doctrine/dbalをインストールしてやります。

$ composer require doctrine/dbal

memory_limitのエラーが発生する場合は下記のように実行します。
$ php -d memory_limit=-1 /usr/local/bin/composer require doctrine/dbal

依存関係が多いのか少し時間がかかりますが、DBALがインストールされればLaravelサイトでマイグレーションが実行できるようになっているはずです。